#pragma once

#include "..\..\DuiLib\UIlib.h"
#include "DuiDefine.h"
#include "UserImageActor.h"

class CBannerNoticeWnd : public WindowImplBase
	/*,IGTWASActorEvent
	,IGTMessengerActorEvent
	,public IUserImageActorObserver*/
{
    DUI_DECLARE_MESSAGE_MAP()
public:
	CBannerNoticeWnd();
	~CBannerNoticeWnd();

	LPCTSTR GetWindowClassName() const;
	void InitWindow();
	void OnPrepare(TNotifyUI& msg);
	void SetClientRect(CRect rc);	

	void OnClose(){
		
		WindowImplBase::Close();

	};

	virtual CDuiString GetSkinFile();
	virtual CDuiString GetSkinFolder();
	virtual void OnFinalMessage(HWND hWnd);	
	void SetNoticeText(std::wstring text);

private:
	CRect			m_rcClient;
	CDuiString		m_strID;
private:
    void _OnCtrlCloseNoticeClick(TNotifyUI& msg);
};
